#include <fstream>
#include <math.h>
#include <iomanip>
using namespace std;
long a,b,c;
double s,p;
int m = 1;
ifstream f1("tamgiac.inp");
ofstream f2("tamgiac.out");
void ktra(long a,long b,long c)
{
    if (a+b>c && b+c>a && c+a>b) f2 << "YES" << endl;
    else {f2 << "NO";m=0;}
}
void dientich(long a,long b,long c)
{
    p = (a + b + c) / 2;
    s = sqrt(p*(p-a)*(p-b)*(p-c));
    return;
}
int main()
{
    f1 >> a >> b >> c;
    ktra(a,b,c);
    if (m == 1){dientich(a,b,c); f2 << setprecision(2) << fixed << s;}
    return 0;
}
